
Katello - Feature #3258

Engine: current_organization support

10/15/2013 01:55 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Whenever a user accesses a page in the Katello UI, they are doing so within the context of an organization. That organization is

currently stored in the user's session.

As Katello moves towards becoming an engine, the support for current_organization needs to be altered.

The following are a few initial things that need to be done:

- katello organization needs to become an extension of the core (foreman) organization

- current_organization should probably be determined from foreman's Organization.current

History

#1 - 10/22/2013 09:15 PM - Brad Buckingham

- Status changed from New to Assigned

- Assignee set to Eric Helms

#2 - 11/14/2013 06:57 PM - Brad Buckingham

- Status changed from Assigned to Closed

#3 - 08/21/2014 02:18 PM - Eric Helms

- translation missing: en.field_release set to 13
